<form [formGroup]="updateUserForm" (ngSubmit)="update()" class="row g-3"  style="margin-top: 4em;">
    <!--REMETTRE  -->

    <div class="col-md-4">

        <label for="validationDefault01" class="form-label">Prénom</label>
        <input   type="text" [class.is-invalid]="updateUserForm.get('firstname').invalid &&
                                         (updateUserForm.get('firstname').dirty || 
                                          updateUserForm.get('firstname').touched) || isSubmitted" [class.is-valid]="updateUserForm.get('firstname').valid &&
                                          (updateUserForm.get('firstname').pristine || 
                                           updateUserForm.get('firstname').touched)" formControlName="firstname"
            id="validationDefault01"  class="form-control" required>
    </div>
    <div class="col-md-4">
        <label for="validationDefault02" class="form-label">nom</label>
        <input type="text" [class.is-invalid]="updateUserForm.get('lastname').invalid &&
                                         (updateUserForm.get('lastname').dirty || 
                                          updateUserForm.get('lastname').touched) || isSubmitted" [class.is-valid]="updateUserForm.get('lastname').valid &&
                                          (updateUserForm.get('lastname').pristine || 
                                           updateUserForm.get('lastname').touched)" class="form-control"
            formControlName="lastname" id="validationDefault02"  required>
    </div>
    <div class="col-md-4">
        <label for="validationDefaultUsername" class="form-label">Nom d'utilisateur</label>
        <div class="input-group">
            <span class="input-group-text" id="inputGroupPrepend2">@</span>
            <input [class.is-invalid]="updateUserForm.get('username').invalid &&
            (updateUserForm.get('username').dirty || 
             updateUserForm.get('username').touched) || isSubmitted" [class.is-valid]="updateUserForm.get('username').valid &&
             (updateUserForm.get('username').pristine || 
              updateUserForm.get('username').touched)" type="text" class="form-control" formControlName="username"
                id="validationDefaultUsername" aria-describedby="inputGroupPrepend2" required>
        </div>
    </div>
    <div class="col-md-6">
        <label for="validationDefault03" class="form-label">Adresse</label>
        <input [class.is-invalid]="updateUserForm.get('adress').invalid &&
        (updateUserForm.get('adress').dirty || 
         updateUserForm.get('adress').touched) || isSubmitted" [class.is-valid]="updateUserForm.get('adress').valid &&
         (updateUserForm.get('adress').pristine || 
          updateUserForm.get('adress').touched)" type="text" class="form-control" formControlName="adress"
            id="validationDefault03" required>
    </div>
    <!--  <div class="col-md-3">
      <label for="validationDefault04" class="form-label">State</label>
      <select class="form-select" id="validationDefault04" required>
        <option selected disabled value="">Choose...</option>
        <option>...</option>
      </select>
    </div> -->


<!-- 
    <div class="col-md-3">
        <label for="validationDefault05" class="form-label">Mot de passe</label>
        <input type="text" [class.is-invalid]="updateUserForm.get('password').invalid &&
      (updateUserForm.get('password').dirty || 
       updateUserForm.get('password').touched) || isSubmitted" [class.is-valid]="updateUserForm.get('password').valid &&
       (updateUserForm.get('password').pristine || 
        updateUserForm.get('password').touched)" formControlName="password" class="form-control"
            id="validationDefault05" required>


        <div class="onload-form" [class.invalid-feedback]="updateUserForm.get('password').invalid &&
      (updateUserForm.get('password').dirty || 
       updateUserForm.get('password').touched)">
            mot de passe obligatoire
        </div>

    </div> -->



   <!--  <div class="col-12">
        <div class="form-check">
            <input [class.is-invalid]="updateUserForm.get('agreement').invalid &&
            (updateUserForm.get('agreement').dirty || 
             updateUserForm.get('agreement').touched) || isSubmitted" [class.is-valid]="updateUserForm.get('agreement').valid &&
             (updateUserForm.get('agreement').pristine || 
              updateUserForm.get('agreement').touched)" class="form-check-input" type="checkbox"
                formControlName="agreement" value="" id="invalidCheck" required>
            <label class="form-check-label" for="invalidCheck2">
                J'accepte les conditions d'utilisation
            </label>
            <div class="onload-form" [class.invalid-feedback]="updateUserForm.get('agreement').invalid &&
            (updateUserForm.get('agreement').dirty || 
             updateUserForm.get('agreement').touched)">
                Vous devez acceptez avant de soumettre
            </div>
        </div>
    </div> -->
    <div style="margin-bottom: 2em; margin-top: 2em;" class="col-12">
        <button [disabled]="!canModify"  style="margin-bottom: 0.8em;"  class="btn btn-outline-dark" type="submit">Modifier profil</button>

        <div style="font-size: 1.159em;" *ngIf="message && message == 'already created'"  [class.invalid-feedback]="message == 'already created'">
            Cet utilisateur existe déjà
        </div>

    </div>
</form>

<!-- Value: {{ updateUserForm.value | json }}
<br>
formulaire invalide : {{updateUserForm.invalid | json}}
<br>
isSubmitted : {{ isSubmitted | json}} -->